Skip to main content
GET
/
surveys
List all surveys
curl --request GET \
  --url https://api.questra.ai/surveys \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Org-Id: <x-org-id>'
{
  "total": 1,
  "items": [
    {
      "id": "<string>",
      "slug": "<string>",
      "name": "<string>",
      "user_id": "<string>",
      "org_id": "<string>",
      "first_page_id": "<string>",
      "locked": false,
      "paid_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "programmed_from_file_id": "<string>",
      "programming_started_at": "2023-11-07T05:31:56Z",
      "programming_completed_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Org-Id
string
required

The ID of the organization to make requests against. Found on your Settings page.

Query Parameters

limit
integer
default:10

The number of results to show per page

Required range: 1 <= x <= 100
offset
integer
default:0

The number of results to skip before returning

Required range: x >= 0
query
string

A search term that must be contained in the name or slug of the survey

Response

200 - application/json
total
integer
required

Total items matching the query

Required range: x >= 0
items
object[]
required

An array of surveys matching the query